Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1754191 - [abrt] CuraEngine: std::__replacement_assert(): CuraEngine killed by SIGABRT
Summary: [abrt] CuraEngine: std::__replacement_assert(): CuraEngine killed by SIGABRT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: CuraEngine
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f159dd0a9144786e187de25c306...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-21 16:17 UTC by Jonathan Graham
Modified: 2020-02-19 19:08 UTC (History)
3 users (show)

Fixed In Version: CuraEngine-4.4.0-2.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-17 05:05:59 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (deleted)
2019-09-21 16:17 UTC, Jonathan Graham
no flags Details
File: cgroup (deleted)
2019-09-21 16:17 UTC, Jonathan Graham
no flags Details
File: core_backtrace (deleted)
2019-09-21 16:17 UTC, Jonathan Graham
no flags Details
File: cpuinfo (deleted)
2019-09-21 16:17 UTC, Jonathan Graham
no flags Details
File: dso_list (deleted)
2019-09-21 16:17 UTC, Jonathan Graham
no flags Details
File: environ (deleted)
2019-09-21 16:17 UTC, Jonathan Graham
no flags Details
File: limits (deleted)
2019-09-21 16:17 UTC, Jonathan Graham
no flags Details
File: maps (deleted)
2019-09-21 16:17 UTC, Jonathan Graham
no flags Details
File: mountinfo (deleted)
2019-09-21 16:17 UTC, Jonathan Graham
no flags Details
File: open_fds (deleted)
2019-09-21 16:17 UTC, Jonathan Graham
no flags Details
File: proc_pid_status (deleted)
2019-09-21 16:17 UTC, Jonathan Graham
no flags Details

Description Jonathan Graham 2019-09-21 16:17:43 UTC
Description of problem:
this crash occurred while trying to slice a model using the Cross 3d infill option

Version-Release number of selected component:
1:CuraEngine-3.6.0-4.fc30

Additional info:
reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        /usr/bin/CuraEngine connect 127.0.0.1:49674
crash_function: std::__replacement_assert
executable:     /usr/bin/CuraEngine
journald_cursor: s=392bff5d0003454993846dae8271b243;i=cacc0;b=eaa179bd8084411699d95cb196ff877c;m=17fbd5e63;t=59312294faf35;x=91950101703ed223
kernel:         5.2.15-200.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Potential duplicate: bug 1697204

Comment 1 Jonathan Graham 2019-09-21 16:17:46 UTC
Created attachment 1617538 [details]
File: backtrace

Comment 2 Jonathan Graham 2019-09-21 16:17:47 UTC
Created attachment 1617539 [details]
File: cgroup

Comment 3 Jonathan Graham 2019-09-21 16:17:48 UTC
Created attachment 1617540 [details]
File: core_backtrace

Comment 4 Jonathan Graham 2019-09-21 16:17:49 UTC
Created attachment 1617541 [details]
File: cpuinfo

Comment 5 Jonathan Graham 2019-09-21 16:17:50 UTC
Created attachment 1617542 [details]
File: dso_list

Comment 6 Jonathan Graham 2019-09-21 16:17:51 UTC
Created attachment 1617543 [details]
File: environ

Comment 7 Jonathan Graham 2019-09-21 16:17:51 UTC
Created attachment 1617544 [details]
File: limits

Comment 8 Jonathan Graham 2019-09-21 16:17:52 UTC
Created attachment 1617545 [details]
File: maps

Comment 9 Jonathan Graham 2019-09-21 16:17:53 UTC
Created attachment 1617546 [details]
File: mountinfo

Comment 10 Jonathan Graham 2019-09-21 16:17:54 UTC
Created attachment 1617547 [details]
File: open_fds

Comment 11 Jonathan Graham 2019-09-21 16:17:55 UTC
Created attachment 1617548 [details]
File: proc_pid_status

Comment 12 Miro Hrončok 2019-09-21 16:28:48 UTC
Do you still have the model? Does the crash repeat?

Comment 13 Fedora Update System 2020-01-08 14:16:10 UTC
CuraEngine-4.4.0-2.fc31, cura-4.4.0-1.fc31, cura-fdm-materials-4.4.0-1.fc31, libarcus-4.4.0-1.fc31, libsavitar-4.4.0-1.fc31, python-uranium-4.4.0-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-d06f49cd35

Comment 14 Fedora Update System 2020-01-17 05:05:59 UTC
CuraEngine-4.4.0-2.fc31, cura-4.4.0-1.fc31, cura-fdm-materials-4.4.0-1.fc31, libarcus-4.4.0-1.fc31, libsavitar-4.4.0-1.fc31, python-uranium-4.4.0-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Jonathan Graham 2020-02-19 19:08:36 UTC
Cannot create same failure conditions using current version


Note You need to log in before you can comment on or make changes to this bug.